{% extends 'base.html.twig' %}

{% block title %}Home{% endblock %}

{% block body %}

    <div class="container">
        {% for user in users|slice(0, 1) %}
            {% for video in user.videos %}
                <h1>📺 Category : <u style="color:cornflowerblue;">{{ video.categorie }}</u>    </h1>
            {% endfor %}
        {% endfor %}<br><br>
        <div class="row">
            {% for user in users %}
                {% for video in user.videos %}
                    <div class="col-sm-6">
                        <div class="card">
                            <div class="video">
                                <div class="video__container">
                                    <iframe class="video__embed" src="{{ video.link|replace({'com/watch?v=':'com/embed/'})}}" frameborder="0" allowfullscreen></iframe>
                                    <a href="{{ video.link }}" class="video__placeholder" target="_blank"></a>
                                </div>
                            </div>
                            <div class="card__info">
                                <h2 class="card__author"><b> Catégorie : </b><a href="{{ path('categorie', { 'categorie': video.categorie }) }}"><b>{{ video.categorie }}</b></a></h2>
                                <h1 class="card__title"><u>{{ video.title }} :</u></h1>
                                <p class="card__description">
                                    {{ video.resume }}
                                    <a href="{{ path('list', { 'id': user.id }) }}"><h2 class="card__author">By {{ user.firstname }}</h2></a>
                                <div class="card__sharing">
                                    <small>Created the {{ video.createdat|date('d-m-Y') }} at {{ video.createdat|date('H:i') }} o'clock  </small>
                                </div>
                            </div>
                        </div>
                    </div>

                {% endfor %}
            {% endfor %}
        </div>
    </div>

{% endblock %}



